MediaWiki:Gadget-Mainpage.css: Difference between revisions

From Honkai: Nexus Anima Wiki
Jump to navigation Jump to search
Kuhlau (talk | contribs)
No edit summary
Kuhlau (talk | contribs)
No edit summary
Line 162: Line 162:
margin-right: 2px;
margin-right: 2px;
}
}
/* For Chrome users, recent changes is a table instead of a list. I have literally no idea why, but don't remove these just because you don't see a reason (like I did) */
#ActivityFeed .mw-changeslist div table {
border-bottom: none;
padding-top: 3px !important;
padding-bottom: 2px;
width: calc(100% - 10px);
}
#ActivityFeed .mw-changeslist div table:last-child {
border: none;
}


.skin-minerva #ActivityFeed .mw-changeslist-line {
.skin-minerva #ActivityFeed .mw-changeslist-line {
Line 173: Line 186:
content: none;
content: none;
}
}




/* End [[Template:Latest Edits]] Fix */
/* End [[Template:Latest Edits]] Fix */

Revision as of 17:39, 14 July 2026

/* Mainpage Styles */
.mainpage-container {
	display: flex;
	gap: 2em;
}

/* Set the sidebar to sit below the main page content on mobile */
.skin-minerva .mainpage-container {
	flex-direction: column;
}

.mainpage-column {
	display: flex;
	flex-direction: column;
	gap: 2em;
}

.mainpage-border {
	background: var(--theme-color-9);
	border: 2px solid var(--theme-accent-color);
	border-radius: 10px;
	text-align: center;
}

.mainpage-border:has(div.mainpage-header) {
	padding: 2px;
}

.mainpage-header {
	background: var(--theme-accent-color);
	border-radius: 2px;
	color: #000000;
    font-weight: bold;
	font-size: 1.4em;
	padding: 1px;
	margin-bottom: 10px;
	border-top-left-radius: 8px;
	border-top-right-radius: 8px;
}

#welcome .mainpage-header {
	background: transparent;
}

.mainpage-header-link {
	color: var(--theme-page-text-color);
}

.mainpage-content {
	padding: 0.5em 0.5em 1em 0.5em;
}

.page__main {
	padding: 23px 15px 15px 30px;
}
.mainpage .page__main {
	padding-right: 30px;
}
.page {
	 border-left: 1px solid var(--theme-color-4);
	 border-right: 1px solid var(--theme-color-4);
	 border-bottom: 1px solid var(--theme-color-4);
	 border-radius: 3px;
}
.wgl-lightmode .page {
	border-top: 5px solid var(--theme-color-1);
}
.wgl-darkmode .page {
	border-top: 5px solid var(--theme-accent-color);
}

/* Background Image for Mainpage */
/** Light Mode **/
.wgl-lightmode .bgimg {
	color: var(--theme-page-text-color);
	text-shadow: 0px 2px 2px #ffffff80;
	background-size: cover;
	background-image: linear-gradient(rgba(249, 245, 242, 0.8),
					  rgba(249, 245, 242, 0.6)), url("https://hna.wiki/images/Site-background-light.jpeg");
}
/** Dark Mode **/
.wgl-darkmode .bgimg {
	color: var(--theme-page-text-color);
	text-shadow: 0px 2px 2px #00000080;
	background-size: cover;
	background-image: url("https://hna.wiki/images/Site-background-dark")
}

/* [[Template:Latest Videos]] */
#LatestVideos .mainpage-content {
	display: flex;
	flex-direction: column;
	gap: 5px;
	align-items: center;
}

/* [[Template:Latest Edits]] Fix */
#ActivityFeed .mw-changeslist ul {
	list-style: none;
	margin: 0;
}

#ActivityFeed .mw-changeslist-line-inner-rollback,
#ActivityFeed .mw-changeslist-line-inner-tags,
#ActivityFeed .mw-changeslist-line-inner-userTalkLink,
#ActivityFeed .mw-changeslist-line-inner-separatorAftercharacterDiff,
#ActivityFeed .mw-changeslist-line-inner-separatorAftercharacterDiff,
#ActivityFeed .mw-changeslist-line-inner-userTalkLink,
#ActivityFeed td.mw-enhanced-rc,
#ActivityFeed .mw-changeslist-legend,
#ActivityFeed .mw-changeslist-line-inner-historyLink,
#ActivityFeed .mw-changeslist-line-inner-separatorAfterLinks,
#ActivityFeed .mw-changeslist-line-inner-characterDiff,
#ActivityFeed .mw-changeslist-line-inner-comment,
#ActivityFeed .mw-changeslist-line-inner-watchingUsers,
#ActivityFeed .mw-changeslist-line-inner-watchingUsers,
#ActivityFeed .activity-tabs,
#ActivityFeed .activity-summary,
#ActivityFeed .mw-enhancedchanges-arrow-space,
#ActivityFeed .cdx-message--warning,
#ActivityFeed .mw-changeslist-links,
#ActivityFeed .mw-changeslist-separator,
#ActivityFeed .mw-changeslist-separator--semicolon,
#ActivityFeed .mw-changeslist-date,
#ActivityFeed .mw-tag-markers,
#ActivityFeed .minoredit,
#ActivityFeed ul.special .comment,
#ActivityFeed .mw-diff-bytes {
	display: none;
}

#ActivityFeed .mw-changeslist-line-inner {
	display: flex;
	width: 100%;
	justify-content: space-between;
	text-align: left;
	gap: 0.5em;
	padding: 1px 2px;
	border-radius: 3px;
}

#ActivityFeed .mw-changeslist-line:nth-of-type(odd) .mw-changeslist-line-inner {
	background: var(--theme-color-8);
}

#ActivityFeed .mw-changeslist-line-inner-userLink:before {
	content: "";
	white-space: pre-wrap;
}

#ActivityFeed .mw-changeslist-line-inner-articleLink {
	flex-grow: 2;
}

#ActivityFeed .mw-changeslist .mw-title {
	word-break: break-word;
	hyphens: auto;
	margin-left: 2px;
}

#ActivityFeed .mw-changeslist .mw-userLink {
	margin-right: 2px;
}

/* For Chrome users, recent changes is a table instead of a list. I have literally no idea why, but don't remove these just because you don't see a reason (like I did) */
#ActivityFeed .mw-changeslist div table {
	border-bottom: none;
	padding-top: 3px !important;
	padding-bottom: 2px;
	width: calc(100% - 10px);
}

#ActivityFeed .mw-changeslist div table:last-child {
	border: none;
}


.skin-minerva #ActivityFeed .mw-changeslist-line {
	min-height: auto;
	height: 2em;
	border: none;
}

.skin-minerva #ActivityFeed .mw-changeslist-line-inner::before,
.skin-minerva #ActivityFeed .mw-changeslist-line-inner::after {
	content: none;
}




/* End [[Template:Latest Edits]] Fix */